<?php

namespace Modules\Db\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;

class DashboardController extends Controller
{

    public function count($year, $month)
    {
        $date = $year . "-" . $month . "%";

        $usa_today = 0;
        $usa_month = 0;
        $local_today = 0;
        $local_month = 0;

        $new_count = 0;
        $accept_count = 0;
        $plan_count = 0;
        $schedule_count = 0;

        $query1 = "SELECT COUNT(*) count FROM pp_customer_orders
        WHERE date = CURDATE() AND create_from = 'USA'";
        $usa_today_count = DB::select($query1)[0];
        if ($usa_today_count) {
            $usa_today = $usa_today_count->count;
        }



        $query2 = 'SELECT COUNT(*) count FROM pp_customer_orders
        WHERE date LIKE "' . $date . '"  AND create_from = "USA"';
        $usa_month_count = DB::select($query2)[0];
        if ($usa_month_count) {
            $usa_month = $usa_month_count->count;
        }

        $query3 = "SELECT COUNT(*) count FROM pp_customer_orders
        WHERE date = CURDATE() AND create_from = 'SRI LANKA'";
        $local_today_count = DB::select($query3)[0];
        if ($local_today_count) {
            $local_today = $local_today_count->count;
        }


        $query4 = 'SELECT COUNT(*) count FROM pp_customer_orders
        WHERE date LIKE "' . $date . '"  AND create_from = "SRI LANKA"';
        $local_month_count = DB::select($query4)[0];
        if ($local_month_count) {
            $local_month = $local_month_count->count;
        }



        $query5 = 'SELECT COUNT(*) count FROM pp_customer_orders
        WHERE order_status = "0"';
        $new_status_count = DB::select($query5)[0];
        if ($new_status_count) {
            $new_count = $new_status_count->count;
        }


        $query6 = 'SELECT COUNT(*) count FROM pp_customer_orders
        WHERE order_status = "1" OR order_status = "4"  AND production_status = "0"';
        $accept_status_count = DB::select($query6)[0];
        if ($accept_status_count) {
            $accept_count = $accept_status_count->count;
        }


        $query7 = 'SELECT COUNT(*) count FROM pp_customer_orders
        WHERE production_status = "1"';
        $plan_status_count = DB::select($query7)[0];
        if ($plan_status_count) {
            $plan_count = $plan_status_count->count;
        }


        $query8 = 'SELECT COUNT(*) count FROM pp_customer_orders
        WHERE production_status = "2"';
        $schedule_status_count = DB::select($query8)[0];
        if ($schedule_status_count) {
            $schedule_count = $schedule_status_count->count;
        }

        return response()->json(
            [
                "usa_today" => $usa_today,
                "usa_month" => $usa_month,
                "local_today" => $local_today,
                "local_month" => $local_month,
                "new_status" => $new_count,
                "accept_status" => $accept_count,
                "plan_status" => $plan_count,
                "schedule_status" => $schedule_count
            ]
        );
    }
}
